Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.archive.crawler.extractor
Class ExtractorSWF.ExtractorSWFActions

    java.lang.Object
      com.anotherbigidea.flash.writers.SWFActionsImpl
          org.archive.crawler.extractor.ExtractorSWF.ExtractorSWFActions

All Implemented Interfaces:
  com.anotherbigidea.flash.interfaces.SWFActions

Enclosing class:
  ExtractorSWF

    protected class ExtractorSWF.ExtractorSWFActions

extends com.anotherbigidea.flash.writers.SWFActionsImpl

SWFActions that parse URI-like strings. Links discovered using `ExtractorJS` are marked as speculative links (hop X). All other links are marked as embedded links (hop E).

Field Summary
`(package private) static java.lang.String` | `JSSTRING`

Fields inherited from class com.anotherbigidea.flash.writers.SWFActionsImpl
`acts`

Fields inherited from interface com.anotherbigidea.flash.interfaces.SWFActions
`GET_URL_MODE_LOAD_MOVIE_INTO_LEVEL, GET_URL_MODE_LOAD_MOVIE_INTO_SPRITE, GET_URL_MODE_LOAD_VARS_INTO_LEVEL, GET_URL_MODE_LOAD_VARS_INTO_SPRITE, GET_URL_SEND_VARS_GET, GET_URL_SEND_VARS_NONE, GET_URL_SEND_VARS_POST`

Constructor Summary
`ExtractorSWF.ExtractorSWFActions(CrawlURI curi, CrawlController controller)`

Method Summary
`void` | `considerStringAsUri(java.lang.String str)`
`void` | `getURL(java.lang.String url, java.lang.String target)` Overwrite handling of discovered URIs.
`void` | `lookupTable(java.lang.String[] strings)`
`void` | `processURIString(java.lang.String url)`
`void` | `push(java.lang.String value)`

Methods inherited from class com.anotherbigidea.flash.writers.SWFActionsImpl
`add, and, asciiToChar, asciiToCharMB, bitAnd, bitOr, bitXor, blob, call, callFunction, callMethod, charMBToAscii, charToAscii, cloneSprite, comment, concat, convertToNumber, convertToString, decrement, defineLocal, defineLocalValue, deleteProperty, deleteThreadVars, divide, done, duplicate, end, endBlock, endDrag, enumerate, enumerateObject, equals, getMember, getProperty, getTargetPath, getTime, getURL, getVariable, gotoFrame, gotoFrame, gotoFrame, greaterThan, ifJump, increment, initArray, initObject, instanceOf, jump, jumpLabel, lessThan, lookup, modulo, multiply, newMethod, newObject, nextFrame, not, or, play, pop, prevFrame, push, push, push, push, pushNull, pushRegister, randomNumber, removeSprite, returnValue, setMember, setProperty, setSWFActions, setTarget, setTarget, setVariable, shiftLeft, shiftRight, shiftRightUnsigned, start, startDrag, startFunction, startWith, stop, stopSounds, storeInRegister, strictEquals, stringEquals, stringGreaterThan, stringLength, stringLengthMB, stringLessThan, substract, substring, substringMB, swap, toggleQuality, toInteger, trace, typedAdd, typedEquals, typedLessThan, typeOf, unknown, waitForFrame, waitForFrame`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### JSSTRING

    static final java.lang.String JSSTRING

See Also:
  Constant Field Values

Constructor Detail

### ExtractorSWF.ExtractorSWFActions

    public ExtractorSWF.ExtractorSWFActions(CrawlURI curi,
                                            CrawlController controller)

Parameters:
  `curi` - SWF URL to handle
  `controller` - Crawl controller need for error reporting

Method Detail

### getURL

    public void getURL(java.lang.String url,
                       java.lang.String target)
                throws java.io.IOException

  Overwrite handling of discovered URIs.

  Specified by:
    `getURL` in interface `com.anotherbigidea.flash.interfaces.SWFActions`
  Overrides:
    `getURL` in class `com.anotherbigidea.flash.writers.SWFActionsImpl`
  Parameters:
    `url` - Discovered URL.
    `target` - Discovered target (currently not being used.)
  Throws:
    `java.io.IOException`

### lookupTable

    public void lookupTable(java.lang.String[] strings)
                     throws java.io.IOException

  Specified by:
    `lookupTable` in interface `com.anotherbigidea.flash.interfaces.SWFActions`
  Overrides:
    `lookupTable` in class `com.anotherbigidea.flash.writers.SWFActionsImpl`
  Throws:
    `java.io.IOException`

### push

    public void push(java.lang.String value)
              throws java.io.IOException

  Specified by:
    `push` in interface `com.anotherbigidea.flash.interfaces.SWFActions`
  Overrides:
    `push` in class `com.anotherbigidea.flash.writers.SWFActionsImpl`
  Throws:
    `java.io.IOException`

### considerStringAsUri

    public void considerStringAsUri(java.lang.String str)
                             throws java.io.IOException

  Throws:
    `java.io.IOException`

### processURIString

    public void processURIString(java.lang.String url)
                          throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Internet Archive. All Rights Reserved.